
Name: xen
Version: 3.2.1
Release: alt1.1

Summary: Xen is a Virtual Machine Monitor
Group: Emulators
License: GPL
Url: http://www.cl.cam.ac.uk/Research/SRG/netos/xen/

Source0: %name-%version.tar
# list of files and directories are removed from kernel-source-xen
Source1: %name-3.0.3-alt-exclude

Patch1: xen-%version-alt.patch
Packager: Michail Yakushin <silicium@altlinux.ru>
# Automatically added by buildreq on Tue Mar 14 2006
BuildRequires: dev86 esound-devel ghostscript-classic ghostscript-common ghostscript-module-X ghostscript-utils latex2html libSDL-devel libX11-devel libXext-devel libalsa-devel libaudiofile-devel libe2fs-devel libgimp-print libjpeg-devel libncurses-devel libtinfo-devel libvncserver-devel netpbm perl-DBM python-base python-dev python-modules-compiler python-modules-encodings python-modules-logging python-modules-libxml2 tetex-core tetex-dvips tetex-latex transfig urw-fonts xorg-x11-proto-devel zlib-devel libxml2-devel libssl-devel libcurl-devel udev pciutils-devel

BuildPreReq: kernel-build-tools glib2-devel

Requires: bridge-utils python-module-xen xen-hypervisor >= %version-%release 
Requires: libxen >= %version-%release
Requires: python-module-xen >= %version-%release

%description
Xen is a Virtual Machine Monitor (VMM) originally developed by the
Systems Research Group of the University of Cambridge Computer
Laboratory, as part of the UK-EPSRC funded XenoServers project.
Xen is freely-distributable Open Source software, released under the
GNU GPL.

%package -n python-module-xen
Summary: Python binding's for XEN
Group: System/Libraries

%description -n python-module-xen
Xen is a Virtual Machine Monitor (VMM) originally developed by the
Systems Research Group of the University of Cambridge Computer
Laboratory, as part of the UK-EPSRC funded XenoServers project.
Xen is freely-distributable Open Source software, released under the
GNU GPL.

This package contains python binding's for XEN.

%package -n python-module-grub
Summary: python-module-grub
Group: System/Libraries

%description -n python-module-grub
python-module-grub

%package -n lib%name
Summary: Shared libraries for XEN
Group: System/Libraries
#Provides: /usr/lib/xen/bin/qemu-dm
%ifarch x86_64
Provides: libfsimage.so.1.0(libfsimage.so.1.0)(64bit)
%endif
%ifarch i586 
Provides:  libfsimage.so.1.0(libfsimage.so.1.0)
%endif

%description -n lib%name
Xen is a Virtual Machine Monitor (VMM) originally developed by the
Systems Research Group of the University of Cambridge Computer
Laboratory, as part of the UK-EPSRC funded XenoServers project.
Xen is freely-distributable Open Source software, released under the
GNU GPL.

This package contains the XEN shared libraries.

%package -n lib%name-devel
Summary: Development files for XEN
Group: Development/C

Requires: lib%name = %version

%description -n lib%name-devel
Xen is a Virtual Machine Monitor (VMM) originally developed by the
Systems Research Group of the University of Cambridge Computer
Laboratory, as part of the UK-EPSRC funded XenoServers project.
Xen is freely-distributable Open Source software, released under the
GNU GPL.

This package contains the XEN include files and development libraries
required when building applications which are going to use XEN shared
libraries.

%package -n lib%name-devel-static
Summary: Static libraries for lib%name
Group: Development/C

Requires: lib%name-devel = %version

%description -n lib%name-devel-static
Xen is a Virtual Machine Monitor (VMM) originally developed by the
Systems Research Group of the University of Cambridge Computer
Laboratory, as part of the UK-EPSRC funded XenoServers project.
Xen is freely-distributable Open Source software, released under the
GNU GPL.

This package contains the XEN static libraries.

%package docs
Summary: Documentation for XEN
Group: Books/Computer books

%description docs
Xen is a Virtual Machine Monitor (VMM) originally developed by the
Systems Research Group of the University of Cambridge Computer
Laboratory, as part of the UK-EPSRC funded XenoServers project.
Xen is freely-distributable Open Source software, released under the
GNU GPL.

This package contains the XEN documentation in PostScript and PDF
formats.



%package hypervisor
Group: System/Kernel and hardware
Summary: Xen itself

%description hypervisor
Main part of xen.

%prep
%setup -q
%patch1 -p1
#patch2 -p2
#patch3 -p1 
#patch4 -p1 
#patch5 -p2
#patch6 -p2 
#%patch7 -p1 
%build
# ugly hack for building python binding's // begin
pushd tools/libxc
%make_build
popd

pushd tools/xenstore
%make_build
popd

pushd tools/xcutils
%make_install
popd

pushd tools/flask
%make_install
popd
# ugly hack for building python binding's // end

pushd tools/libfsimage
%make_build
popd 
# build python binding's for xen // begin
pushd tools/python

%__mkdir_p build

# Unfortunately build and install steps should be done at once
# because otherwise .pyo files won't get into INSTALLED_FILES
# record
%make_build
CFLAGS="%optflags" %__python setup.py \
	install --optimize=2 \
		--root=`pwd`/build \
		--record=../../INSTALLED_FILES
popd

pushd tools/pygrub

%__mkdir_p build

CFLAGS="%optflags" %__python setup.py \
	install --optimize=2 \
		--root=`pwd`/build \
		--record=../../INSTALLED_FILES_GRUB
popd

# build python binding's for xen // end

%make_build xen tools docs

%install
# install python binding's for xen // begin
pushd tools/python/
%__mkdir_p %buildroot/usr
%__cp -pr build/usr/* %buildroot/usr
popd

pushd tools/pygrub/
%__cp -pr build/usr/* %buildroot/usr
popd

# install python binding's for xen // end

# install all other tools
%make_install install-xen install-tools install-docs DESTDIR=%buildroot

pushd tools/examples
%make_install install DESTDIR=%buildroot
#-udev install-hotplug
popd


rm %buildroot%_man1dir/qemu-img.1
rm %buildroot%_man1dir/qemu.1


%postun -n lib%name
%postun_ldconfig



%files
%config(noreplace) %_sysconfdir/xen
%config(noreplace) %_sysconfdir/rc.d/init.d/*
%config(noreplace) %_sysconfdir/sysconfig/*
%config(noreplace) %_sysconfdir/udev/rules.d/*
%_bindir/*
%_sbindir/*
%_man1dir/*
%_man5dir/*
%_man8dir/*
%_datadir/xen/*
/var/lib/xenstored
/var/run/xenstored
/var/log/xen
%exclude %_libdir/python%__python_version
%exclude %_bindir/pygrub

%files hypervisor 
/boot/*

%files -n python-module-xen -f INSTALLED_FILES
%_libdir/python/xen
	     
%files -n python-module-grub -f INSTALLED_FILES_GRUB
%_libdir/python/grub
%_libdir/python/*.so*

%files -n lib%name
%_libdir/lib*.so*
%_libdir/xen
%_libdir/fs
%ifarch x86_64
    /usr/lib/xen/boot/hvmloader
%endif
    

%files -n lib%name-devel
%_includedir/*.h
%dir %_includedir/xen/
%_includedir/xen/*

%files -n lib%name-devel-static
%_libdir/lib*.a

%files docs
%doc %_datadir/doc/xen/*


%changelog
* Sat Aug 09 2008 ALT QA Team Robot <qa-robot@altlinux.org> 3.2.1-alt1.1
- Automated rebuild due to libcrypto.so.6 -> libcrypto.so.7 soname change.

* Mon Apr 28 2008 Michail Yakushin <silicium@altlinux.ru> 3.2.1-alt1
- 3.2.1 
- fix #15024

* Wed Mar 12 2008 Michail Yakushin <silicium@altlinux.ru> 3.2.0-alt1
- 3.2.0

* Mon Nov 19 2007 Michail Yakushin <silicium@altlinux.ru> 3.1.2-alt1
- 3.1.2: bugfix release
- more strong dependences

* Mon Oct 15 2007 Michail Yakushin <silicium@altlinux.ru> 3.1.1-alt1
- 3.1.1

* Fri Jun 01 2007 Michail Yakushin <silicium@altlinux.ru> 3.1.0-alt2
- fix #11946 by ugly hack


* Mon May 21 2007 Michail Yakushin <silicium@altlinux.ru> 3.1.0-alt1
- new version
- turned off acm 

* Sat Dec 23 2006 Michail Yakushin <silicium@altlinux.ru> 3.0.4-alt2
-fix build for x86_64 

* Thu Dec 21 2006 Michail Yakushin <silicium@altlinux.ru> 3.0.4-alt1
- 3.0.4

* Mon Nov 06 2006 Michail Yakushin <silicium@altlinux.ru> 3.0.3-alt2
- fix bug #10238

* Wed Oct 18 2006 Michail Yakushin <silicium@altlinux.ru> 3.0.3-alt1
- new xen version

* Thu Oct 12 2006 Michail Yakushin <silicium@altlinux.ru> 3.0.2-alt5
- turned off -Werror
- added xen-hypervisor to xen requires
- added grub to xen-hypervisor requires
- fixed hypervisor build (-fno-stack-protector)

* Mon Oct 02 2006 Michail Yakushin <silicium@altlinux.ru> 3.0.2-alt4
- fallback to stable verison 3.0.2
- some build fixes

* Sat Jun 24 2006 Alex Yustasov <yust@altlinux.ru> 3.0.2-alt3
- fixed build for x86_64: hvmloader

* Fri Jun 23 2006 Alex Yustasov <yust@altlinux.ru> 3.0.2-alt2
- fixed bridge start

* Thu Jun 08 2006 Alex Yustasov <yust@altlinux.ru> 3.0.2-alt1
- update to 3.0.2-3-testing

* Tue Feb 07 2006 Alex Yustasov <yust@altlinux.ru> 3.0.1-alt2
- update to 3.0.1

* Mon Jan 30 2006 Igor Zubkov <icesik@altlinux.ru> 3.0.0-alt1
- update to 3.0.0

* Sat Nov 19 2005 Igor Zubkov <icesik@altlinux.ru> 2.0.7-alt2
- fix build with "_unpackaged_files_terminate_build 1"

* Sat Oct 22 2005 Igor Zubkov <icesik@altlinux.ru> 2.0.7-alt1
- Initial build for Sisyphus
